[arch-commits] Commit in gconfmm/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jun 7 06:58:33 EDT 2010


    Date: Monday, June 7, 2010 @ 06:58:32
  Author: jgc
Revision: 81933

upgpkg: gconfmm 2.28.2-1
Package docs as split package

Modified:
  gconfmm/trunk/PKGBUILD

----------+
 PKGBUILD |   28 +++++++++++++++++++++-------
 1 file changed, 21 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-07 10:50:42 UTC (rev 81932)
+++ PKGBUILD	2010-06-07 10:58:32 UTC (rev 81933)
@@ -2,23 +2,37 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Kritoke <typeolinux at yahoo.com>
 
-pkgname=gconfmm
-pkgver=2.28.0
+pkgbase=gconfmm
+pkgname=('gconfmm' 'gconfmm-docs')
+pkgver=2.28.2
 pkgrel=1
-pkgdesc="A C++ wrapper for gconf."
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('gconf>=2.27.0' 'glibmm>=2.21.5')
-makedepends=('pkgconfig' 'gtkmm>=2.18.0')
+makedepends=('pkgconfig' 'gtkmm>=2.20.3' 'glibmm-docs' 'gconf>=2.28.1' 'glibmm>=2.24.2')
 options=('!libtool')
 url="http://gtkmm.sourceforge.net/"
 source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.28/${pkgname}-${pkgver}.tar.bz2)
-sha256sums=('3daa3719f773cfc9fcee84766f60eab4579209978425221997120662bd621a52')
+sha256sums=('3e9575208ed1f43f0d0f42e62169a4e14d367a69829b3a531b943655f9db2ab9')
 
 build() {
-  cd "${srcdir}/${pkgname}-${pkgver}"
+  cd "${srcdir}/${pkgbase}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
       --localstatedir=/var || return 1
   make || return 1
+}
+
+package_gconfmm() {
+  pkgdesc="C++ bindings for GConf"
+  depends=('gconf>=2.28.1' 'glibmm>=2.24.2')
+
+  cd "${srcdir}/${pkgbase}-${pkgver}"
+  sed -i -e 's/^doc_subdirs/#doc_subdirs/' Makefile || return 1
   make DESTDIR="${pkgdir}" install || return 1
 }
+
+package_gconfmm-docs() {
+  pkgdesc="Developer documentation for gconfmm"
+
+  cd "${srcdir}/${pkgbase}-${pkgver}/docs"
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list